# Authentication & Authorization

Slicknode comes with a powerful authorization and authentication module that provides a flexible set of
building blocks which can be used as the foundation to build sophisticated authentication and authorization scenarios.

The most common scenarios are already implemented as modules that can be installed and are ready to be used. 

If you need a special login or registration flow in your application, you can easily build your own by combining
the building blocks. 
For example, you can implement your own identity providers to let users authenticate to the Slicknode
GraphQL API using an existing (Legacy) API or implement secure Multi-Factor Authentication etc.

You can also combine multiple authentication modules to provide multiple ways for your API clients 
to authenticate against your API. 

## Lean more

-   **[Authentication](./authentication):** Learn how to authenticate clients
-   **[Authorization](./authorization):** Create the permission rules for your types, mutations and data. 
    Declaratively define which user is allowed to do what on your server. 
