title: Slicknode Documentation + Reference
description: Documentation, tutorials and guides for the Slicknode GraphQL Platform: Headless CMS setup, GraphQL API usage, extensions, etc.

# Slicknode

[Slicknode](https://slicknode.com) is a GraphQL Application Platform that lets you declaratively define your
application using [GraphQL](https://graphql.org) and creates a serverless production ready backend and CMS with
a single command. 

Here are some quick links to get started:

-   **[Quickstart:](./quickstart)** Create a backend from scratch in 5 mins
-   **[Tutorial:](./tutorial)** Follow the tutorial to learn all about Slicknode and GraphQL
    by building an advanced blogging application with authentication, permissions etc.
-   **[Data Modeling:](./data-modeling/introduction)** Model the data structure of your application with relations, custom 
    types and modules.
-   **[Client Setup:](./client-setup)** Connect your frontend application to the GraphQL API (React, Vue, Angular etc.)
-   **[GraphQL API:](./graphql-api)** Explore the features of the GraphQL API
-   **[Extensions:](./extensions)** Extend Slicknode with external APIs or add your own DB and backend.
-   **[Auth:](./auth)** Secure your API and build complex permission rules
    
